require "rubygems"
require "selenium-webdriver"

$LIVE_MANAGEMENT_BASE_URL = "https://localhost:4433/live_management/"
$HEADLESS_DISPLAY = nil #"localhost:15.0"

# Choose from :ie, :internet_explorer, :remote, :chrome, :firefox, :ff, :android, :iphone, :opera
$DRIVER = :firefox

$DRIVER_IMPLICIT_WAIT = 10

# Used only when $DRIVER == :remote.
$DRIVER_HUB_URL = "http://192.168.100.217:4444/wd/hub"
$DRIVER_CAPABILITIES = Selenium::WebDriver::Remote::Capabilities.firefox

def get_driver()
  if $DRIVER == :remote
    driver = Selenium::WebDriver.for(:remote, :url => $DRIVER_HUB_URL, :desired_capabilities => $DRIVER_CAPABILITIES)
  else
    ENV["DISPLAY"] = $HEADLESS_DISPLAY if $HEADLESS_DISPLAY
    driver = Selenium::WebDriver.for($DRIVER)
  end
  driver.manage.timeouts.implicit_wait = $DRIVER_IMPLICIT_WAIT
  driver.navigate.to $LIVE_MANAGEMENT_BASE_URL
  driver
end
